Skip to main content
`Ctrl`+`K`

# ISGetSize

Returns the global length of an index set.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISGetSize(IS is, PetscInt *size)

Not Collective

## Input Parameter

- is - the index set

## Output Parameter

- size - the global size

## See Also

`IS`

## Level

beginner

## Location

src/vec/is/is/interface/index.c

## Examples

src/dm/impls/plex/tutorials/ex8.c
src/ts/tutorials/ex11.c
src/ksp/ksp/tutorials/ex19.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages